Subject: bug#23933: 25.1.50; Run a buffer-local hook with mapc

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jul 2016 18:56:53 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Tino Calancha <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 10 Jul 2016 11:18:56 -0400
> 
> A hook is a symbol whose symbol-value slot holds a list of functions;
> this happens to match a dynamically-bound variable, but not
> a lexically-bound variable.

Maybe I misunderstand this, but are you saying a hook (and run-hooks)
cannot be used in a file that uses lexical-binding?  If so, we had
better documented that.